package ink.wgink.module.article.controller.route.category;

import ink.wgink.interfaces.consts.ISystemConstant;
import io.swagger.annotations.Api;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: MenuRouteController
 * @Description: 文章目录路由
 * @Author: wanggeng
 * @Date: 2021/2/10 1:43 下午
 * @Version: 1.0
 */
@Api(tags = ISystemConstant.API_TAGS_SYSTEM_PREFIX + "文章目录路由接口")
@Controller
@RequestMapping(ISystemConstant.ROUTE_PREFIX + "/category")
public class CategoryRouteController {

    @GetMapping("list")
    public ModelAndView list() {
        return new ModelAndView("category/list");
    }

    @GetMapping("save")
    public ModelAndView save() {
        return new ModelAndView("category/save");
    }

    @GetMapping("update")
    public ModelAndView update() {
        return new ModelAndView("category/update");
    }

}
